设为首页收藏本站

晓东CAD家园-论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 2312|回复: 7

[标注] 求批量多线段长度标注

[复制链接]
发表于 2014-8-14 03:58:40 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
求批量多线段长度标注插件!万分感谢!!!
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!

已领礼包: 40个

财富等级: 招财进宝

发表于 2014-8-14 09:36:08 | 显示全部楼层
搜索,提供过。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 24个

财富等级: 恭喜发财

发表于 2014-8-17 10:45:18 | 显示全部楼层
我也想要,谢谢
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 6个

财富等级: 恭喜发财

发表于 2014-11-3 22:10:45 | 显示全部楼层
(defun c:tt (/ ss sl i e el ms n) 02.   (setq ms (vla-get-modelspace 03.          (vla-get-activedocument (vlax-get-acad-object)) 04.        ) 05.     n  1 06.   ) 07.   (if (setq ss (ssget '((0 . "line")))) 08.     (progn 09.       (setq sl (sslength ss) 10.         i  -1 11.       ) 12.       (repeat sl 13.     (setq e  (ssname ss (setq i (1+ i))) 14.           el (cons (vlax-curve-getstartpoint e) el) 15.     ) 16.       ) 17.       (setq el (vl-sort el '(lambda (e1 e2) (< (cadr e1) (cadr e2))))) 18.       (foreach x el 19.     (vla-addtext ms (itoa n) (vlax-3d-point x) 2.5) 20.     (setq n (1+ n)) 21.       ) 22.     ) 23.   ) 24.   (princ) 25. )
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2015-7-3 09:47:04 | 显示全部楼层
(DEFUN C:LX1 ();|按GTC 标志的模式注记全部实地边长|;
  (setvar "cmdecho" 0)
  (COMMAND "-SNAP" "")

  (COMMAND "-layer" "s" "0" "")
  (setq TUCHENG (getstring "\n 请输入要注记的图层< * > : "))
  (if (or (= TUCHENG nil) (= TUCHENG ""))
    (setq TUCHENG "*")
  )
  (setq hei (getreal "\n 输入字高 < 1.5 > :"))
  (if (= hei nil)
    (setq hei 1.5)
  )
  (setq zjws (getint "\n 输入小数点后保留的位数 < 3 > : "))
  (if (or (= zjws nil) (= zjws ""))
    (setq zjws 3)
  )
  (setq BILICHI (getreal "\n 输入图形文件的比例尺 < 1000 > : "))
  (if (= BILICHI nil)
    (setq BILICHI 1000.0)
  )
  (setq bilixishu (/ BILICHI 1000.0))
  
  (setq zwd1 (getpoint "注记范围第一点"))
  (setq zwd5 (getcorner zwd1 "注记范围第五点"))

  (setq        ss
         (ssget        "w" zwd1 zwd5
                (list (cons 0 "LINE,POLYLINE,LWPOLYLINE") (cons 8 TUCHENG))
         )
  )
  (setq ZCD (sslength ss))
  (setq ZXH 0)
  (while (< ZXH ZCD)
    (setq NE (ssname ss ZXH))
    (setq ED (entget NE))
    (setq TJ (CDR (assoc 0 ED))
    )
    (if        (= TJ "LINE")
      (progn (setq kk2 (cdr (assoc 10 ED)))
             (setq kk3 (cdr (assoc 11 ED)))
             (setq dis (rtos (distance KK2 KK3) 2 zjws))
             (setq an (angle KK2 KK3))
             (setq kkm (polar KK2 an (/ (distance KK2 KK3) 2)))
             (if (or (< (/ (* 3 pi) 4) an (/ (* 7 pi) 4))
                     (= an (/ (* 7 pi) 4))
                 )
               (COMMAND "text" "J" "BC" kkm hei KK2 dis)
               (COMMAND "text" "J" "BC" kkm hei KK3 dis)
             )
      )
    )
    (if        (= TJ "POLYLINE")
      (progn
        (setq pdtj (cdr (assoc 70 (entget NE))))
        (setq kxy (cdr (assoc 10 (entget (entnext NE)))))
        (while (and (setq NE (entnext NE))
                    (setq ED (entget NE))
                    (/= "SEQEND" (cdr (assoc 0 ED)))
               )
          (setq kk2 (cdr (assoc 10 ED)))
          (if (= (setq kk3 (cdr (assoc 10 (entget (entnext NE))))) nil)
            (setq kk3 kxy)
          )
          (setq dis (rtos (* (distance kk2 kk3) bilixishu) 2 zjws))
          (setq an (angle kk2 kk3))
          (setq kkm (polar kk2 an (/ (distance kk2 kk3) 2)))
          (if (or (< (/ (* 3 pi) 4) an (/ (* 7 pi) 4))
                  (= an (/ (* 7 pi) 4))
              )
            (COMMAND "text" "J" "C" kkm hei kk2 dis)
            (COMMAND "text" "J" "C" kkm hei kk3 dis)
          )
        )
        (setq YUbeishanchu (entlast))
        (if (= (LOGAND pdtj 128) 128)
          (entdel YUbeishanchu)
        )
      )
    )
    (if        (= TJ "LWPOLYLINE")
      (progn
        (setq num (length ED))
        (setq i 0)
        (setq j 0)
        (while (< i num)
          (setq ss1 (nth i ED))
          (setq ss2 (car ss1))
          
          (if (= ss2 10)
            (progn
              (if (> j 0)
                (progn
                      (setq ss3 ss4)
                      (setq ss4 (cdr ss1))
                      (setq dis (rtos (distance ss3 ss4) 2 zjws))
                      (setq an (angle ss3 ss4))
                      (setq kkm (polar ss3 an (/ (distance ss3 ss4) 2)))
                      (if (or (< (/ (* 3 pi) 4) an (/ (* 7 pi) 4))
                              (= an (/ (* 7 pi) 4))
                          )
                        (COMMAND "text" "J" "BC" kkm hei ss3 dis)
                        (COMMAND "text" "J" "BC" kkm hei ss4 dis)
                      )
                );progn
                (setq ss4 (cdr ss1))
                );if
              (setq j (+ j 1))
             
            );progn
          );if
          (setq i (+ i 1))
        )
      )
    )
    (setq ZXH (+ ZXH 1))
  )

  (COMMAND "REDRAW")
)
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2018-1-14 19:53:35 | 显示全部楼层
命令是什么
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 381个

财富等级: 日进斗金

发表于 2018-1-15 10:44:33 | 显示全部楼层
帮顶            
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2018-3-22 13:41:09 | 显示全部楼层
命令是什么
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|小黑屋|手机版|Archiver|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )  

GMT+8, 2021-9-22 00:55 , Processed in 0.842916 second(s), 42 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表